body {
	background-color: #fd94ab;
}

.scrollable {
	margin-top: 80px;
}

.guesses {
	display: grid;
	align-content: center;
	justify-content: center;
}


.guess {
	display: grid;
	grid-template-columns: repeat(5, 1fr);
	border: 1px solid black;
	width: 450px;
	height: 70px;
	margin-bottom: 20px;
}

.guessletter {
	border: 1px solid black;
	height: 100%;
	text-align: center;
	align-content: center;
	font-size: xxx-large;
}

.keyboard {
	/*margin-top: 50px;*/
	bottom: 0;
	width: 100%;
	display: grid;
	user-select: none;
}

.key {
	line-height: 4em;
	cursor: pointer;
}

.key:active {
	background-color: lightgray;
}

@media (width > 800px) {

	.keyboard {
		margin-top: 50px;
		display: grid;
		align-content: center;
		justify-content: center;
	}

	.row {
		display: flex;
	}

	.staggered {
		margin-left: 25px;
	}

	.key {
		padding: 15px;
		border: 1px solid black;
		margin: 10px;
		width: 35px;
		text-align: center;
		background-color: azure;
	}

	.wide {
		width: 40px;
	}
}

.msg {
	display: grid;
	justify-content: center;
	font-weight: bold;
	text-align: center;
	margin: 0 10px;
}

@keyframes rewardcolor {
	from {
		color: blueviolet;
	}
	to {
		color: fuchsia;
	}
}

a {
	animation-duration: 1.5s;
	animation-name: rewardcolor;
	animation-iteration-count: infinite;
	animation-direction: alternate;
	font-family: sans;
}

.success {
	color: green;
}

.failure {
	color: royalblue;
}

.error {
	color: red;
}

@media (width <= 800px) {
	body {
		margin: 0;
	}

	.keyboard {
		position: absolute;
		max-height: 30%;
	}

	.row {
		display: grid;
		grid-template-columns: repeat(9, 1fr);
	}

	.row:first-child {
		grid-template-columns: repeat(10, 1fr);
	}

	.staggered {
		margin-left: 0;
	}

	.key {
		display: inline-block;
		padding: 0.5em;
		background-color: azure;
		border: 1px solid black;
		text-align: center;
	}

	.guesses {
		align-content: unset;
	}

	.scrollable {
		display: block;
		margin: 5px;
		height: 60%;
		overflow: scroll;
	}

	.guess {
		width: 80vw;
	}

	.guessletter {
		align-content: unset;
	}
}

@media (width <= 400px) {
	.scrollable {
		/*height: 50%;*/
	}

	.keyboard {
		position: absolute;
		max-height: 40%;
	}
}

.miss {
	background-color: gold;
}

.hit {
	background-color: lightgreen;
}

.fail {
	background-color: darkgrey;
}

